@echo off
cd /D %~dp0
net stop possat-8080
echo "############################## Copy Files ####################################"
@echo off
mkdir "c:\timeglobe\db-tool"
copy /Y "00_data\httpclient-4.5.3.jar" "c:\timeglobe\pos\possat-8080\lib\"
copy /Y "00_data\httpclient-cache-4.5.3.jar" "c:\timeglobe\pos\possat-8080\lib\"
copy /Y "00_data\httpclient-win-4.5.3.jar" "c:\timeglobe\pos\possat-8080\lib\"
copy /Y "00_data\httpcore-4.4.6.jar" "c:\timeglobe\pos\possat-8080\lib\"
copy /Y "00_data\httpmime-4.5.3.jar" "c:\timeglobe\pos\possat-8080\lib\"
copy /Y "00_data\db-tool.jar" "c:\timeglobe\db-tool\"
copy /Y "00_data\pos.xml" "c:\timeglobe\db-tool\"

echo "######################### Copy Files Complete ################################"

set /P code=KassenCode(2010p20):
set /P version=Version(win32/win64)

echo.
echo "######################### Create Backup ################################"
c:/timeglobe/pos/jre-%version%/bin/java -jar c:/timeglobe/db-tool/db-tool.jar backup jarfile:=c:/timeglobe/db-tool/backup database-type:=derby source-db:=c:/timeglobe/pos/database/db_pos_s%code% catalog-file:=c:/timeglobe/db-tool/pos.xml
echo.
echo "######################### Create Backup Complete ################################"


echo.
echo "######################### Copy Files ################################"
Xcopy /Y /E /I "00_data\2.01\reports\*" "c:\timeglobe\pos\possat-8080\webapps\ROOT\%code%\"
Xcopy /Y /E /I "00_data\2.01\*.war" "c:\timeglobe\pos\apps\"
copy /Y "00_data\2.01\db-upgrade-tool.jar" "c:\timeglobe\db-tool\"
copy /Y "00_data\2.01\pos.xml" "c:\timeglobe\db-tool\"
copy /Y "00_data\2.01\Script1.sql" "c:\timeglobe\db-tool\"
copy /Y "00_data\2.01\Script2.sql" "c:\timeglobe\db-tool\"

echo.
echo "######################### Copy Files Complete ################################"

echo "######################### Restore to 2.0.1 ################################"
c:/timeglobe/pos/jre-%version%/bin/java -jar c:/timeglobe/db-tool/db-upgrade-tool.jar derby-db-upgrade source-db:=c:/timeglobe/pos/database/db_pos_s%code% script-before:=c:/timeglobe/db-tool/Script1.sql script-after:=c:/timeglobe/db-tool/Script2.sql target-modelfile:=c:/timeglobe/db-tool/pos.xml
echo "######################### Restore to 2.0.1 Complete ################################"


net start possat-8080

set /P t=TenantNo:
set /P p=PosCd:
set /P p2=PosCd(SMALL):
set /P crs=hasCrs:
set /P chain=isChainStore:

echo "######################### Start Migration Tool ################################"
set planetUrl="https://planet10.time-globe-crs.de/pp%t%/servlet"
set posUrl="http://localhost:8080/s%t%%p2%/servlet"

c:/timeglobe/pos/jre-%version%/bin/java -jar ./00_data/migration-tool.jar tenantNo:%t% posCd:%p% isChainStore:%chain% hasCrs:%crs% planetUrl:%planetUrl% posUrl:%posUrl%
echo "######################### Migration Complete ################################"
echo.
echo.
echo.
echo "######################### Update Complete ################################"
pause
pause